#**********************************************************************#
#*                                                                    *#
#* Copyright (c) 2001 by Sun Microsystems, Inc.                       *#
#* All rights reserved.                                               *#
#*                                                                    *#
#**********************************************************************#

#
# ACCTSET
#
echo "Compiling ACCTSET.bms"
rm -f ACCTSET.bms
cp ACCTSETCOB.bms ACCTSET.bms
kixbms -a -c ACCTSET.bms

COBFLAGS="ibmcomp cics noalter osvs defaultbyte(0)"

#
# ACCT00
#
echo "Translating ACCT00"
kixclt ACCT00.clt
echo "compiling ACCT00.cbl"
cob -ia -C "$COBFLAGS" ACCT00.cbl

#
# ACCT01
#
echo "Translating ACCT01"
kixclt ACCT01.clt
echo "compiling ACCT01.cbl"
cob -ia -C "$COBFLAGS" ACCT01.cbl

#
# ACCT02
#
echo "Translating ACCT02"
kixclt ACCT02.clt
echo "compiling ACCT02.cbl"
cob -ia -C "$COBFLAGS" ACCT02.cbl

#
# ACCT03
#
echo "Translating ACCT03"
kixclt ACCT03.clt
echo "compiling ACCT03.cbl"
cob -ia -C "$COBFLAGS" ACCT03.cbl

#
# ACCT04
#
echo "Translating ACCT04"
kixclt ACCT04.clt
echo "compiling ACCT04.cbl"
cob -ia -C "$COBFLAGS" ACCT04.cbl

rm -f ACCT00.cbl ACCT01.cbl ACCT02.cbl ACCT03.cbl ACCT04.cbl
rm -f ACCT00.lst ACCT01.lst ACCT02.lst ACCT03.lst ACCT04.lst
